# studio::Dialog_SoundSelect Class Reference

`#include <dialog_soundselect.h>`

List of all members.

## Public Member Functions

| Dialog_SoundSelect (Gtk::Window &parent, etl::handle< synfigapp::CanvasInterface > ci)
| ~Dialog_SoundSelect ()
void | set_global_fps (float f)
synfig::Time | get_offset () const
void | set_offset (const synfig::Time &t)
std::string | get_file () const
void | set_file (const std::string &f)
sigc::signal< void, const std::string & > & | signal_file_changed ()
sigc::signal< void, const synfig::Time & > & | signal_offset_changed ()

## Constructor & Destructor Documentation

studio::Dialog_SoundSelect::Dialog_SoundSelect | ( | Gtk::Window & | parent,
|  | etl::handle< synfigapp::CanvasInterface > | ci |
| ) |  |  |

References _, and studio::Widget_Time::set_value().

studio::Dialog_SoundSelect::~Dialog_SoundSelect | ( |  | ) |

## Member Function Documentation

void studio::Dialog_SoundSelect::set_global_fps | ( | float | f | ) |

References studio::Widget_Time::set_fps().

synfig::Time studio::Dialog_SoundSelect::get_offset | ( |  | ) | const`[inline]`

References studio::Widget_Time::get_value().

void studio::Dialog_SoundSelect::set_offset | ( | const synfig::Time & | t | ) | `[inline]`

References studio::Widget_Time::set_value().

std::string studio::Dialog_SoundSelect::get_file | ( |  | ) | const`[inline]`

References studio::Widget_Filename::get_value().

void studio::Dialog_SoundSelect::set_file | ( | const std::string & | f | ) | `[inline]`

References studio::Widget_Filename::set_value().

sigc::signal<void,const std::string &>& studio::Dialog_SoundSelect::signal_file_changed | ( |  | ) | `[inline]`

sigc::signal<void,const synfig::Time &>& studio::Dialog_SoundSelect::signal_offset_changed | ( |  | ) | `[inline]`

The documentation for this class was generated from the following files:

- dialog_soundselect.h
- dialog_soundselect.cpp